@import 'vars';

.header {
  position: relative;
  display: grid;
  margin: 0;
  padding: 32px 0 140px;

    @media (min-width: 768px) {
        margin: 0 5px;
        padding: 59px 0 54px;
    }
}

.logo {
  display: flex;
  align-items: flex-end;
  height: 100%;
  
  img {
    height: 37px;
    width: 163px;
    
    @media (min-width: 768px) {
      height: 43px;
      width: 187px;
      }
  }

  .link {
    display: flex;
    align-items: center;
    font-size: 24px;
  }
}

.topnav {
  width: 100%;
}

.container {
  align-items: center;
  justify-content: flex-end;
  grid-column: unset;
  
  @media (min-width: 768px) {
    display: flex;
    grid-column: 2 / span 2;
  }

  .bloxMoveLinksButton {
      font-style: normal;
      font-weight: 600;
      font-size: 18px;
      line-height: 27px;
      text-align: center;
      letter-spacing: 0.02em;
      color: black;
      display: flex;
      width: max-content;
      justify-content: center;
      align-items: center;
      text-decoration: none;
      background: #63AC11;
      border-radius: 15px;
      padding: 0 25px;
      height: 37px;
      margin-top: 21px;
    
        @media (min-width: 768px) {
          height: 100%;
          margin-top: 0;
        }
  }
}


.mobileOnly {
  display: none;

  @include below(758px) {
    display: unset;
  }
}

.navlinks {
  display: flex;
  align-items: flex-end;
  list-style: none;
  margin-block: 0;
  padding-inline-start: 0;
  gap: 33.5px;
  margin-top: 21px;

  @media (min-width: 768px) {
    margin-top: 0;
  }

  .linkContainer {
    .link {
      display: flex;
      background-color: transparent;
      outline: none;
      border: none;
      text-decoration: none;
      color: $c-alto;
      font-size: 17px;

      &:global(.active) {
        font-weight: 700;
        color: $c-flush-orange;
      }

      img {
        height: 19px;
        width: auto;

        @media (min-width: 768px) {
          height: 26px;
        }
      }

      &:hover,
      &:focus {
        color: #FFF;
      }
    }
  }
}

.image {
  cursor: pointer;
  display: none;

  @media (min-width: 768px) {
    display: block;
  }
}

.mobileImage {
  cursor: pointer;
  display: block;
  position: relative;
  padding-top: 20px;

  @media (min-width: 768px) {
    display: none;
  }
}